%define pypi_name setuptools-rust

Name:           python-%{pypi_name}
Version:        1.5.2
Release:        %mkrel 1
Summary:        Setuptools Rust extension plugin
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/setuptools-rust/
Source0:        %{pypi_source}
BuildArch:      noarch
ExclusiveArch:  %{rust_arches}

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools) > 46.1
BuildRequires:  python3dist(semantic-version) >= 2.8.2
BuildRequires:  python3dist(tomli) >= 1.2.1
BuildRequires:  python3dist(typing-extensions) >= 3.7.4.4
BuildRequires:  python3dist(setuptools-scm) >= 6.3.2
BuildRequires:  python3dist(wheel)
BuildRequires:  rust-packaging >= 1.45

%description
Setuptools helpers for Rust Python extensions. Compile and distribute Python
extensions written in Rust as easily as if they were written in C.

%package -n     python3-setuptools-rust
Summary:        %{summary}
Requires:       rust-packaging >= 1.45

%description -n python3-setuptools-rust
Setuptools helpers for Rust Python extensions. Compile and distribute Python
extensions written in Rust as easily as if they were written in C.

%prep
%autosetup -n setuptools-rust-%{version}
# Remove bundled egg-info
rm -rf setuptools-rust.egg-info

%build
%py3_build

%install
%py3_install

%check
PYTHONPATH=%{buildroot}%{python3_sitelib} \
    %{__python3} -c "from setuptools_rust import RustExtension, version"

%files -n python3-setuptools-rust
%doc README.md CHANGELOG.md
%license LICENSE
%{python3_sitelib}/setuptools_rust/
%{python3_sitelib}/setuptools_rust-%{version}-py%{python3_version}.egg-info/


%changelog
* Tue Nov 15 2022 guillomovitch <guillomovitch> 1.5.2-1.mga9
+ Revision: 1907792
- new version 1.5.2

* Mon Apr 04 2022 guillomovitch <guillomovitch> 1.2.0-1.mga9
+ Revision: 1843813
- new version 1.2.0

* Wed Mar 30 2022 umeabot <umeabot> 1.1.2-3.mga9
+ Revision: 1833784
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.1.2-2.mga9
+ Revision: 1772454
- rebuild for python3.10

* Sun Dec 12 2021 guillomovitch <guillomovitch> 1.1.2-1.mga9
+ Revision: 1761631
- new version 1.1.2

* Sun Nov 28 2021 guillomovitch <guillomovitch> 1.0.0-1.mga9
+ Revision: 1759790
- new version 1.0.0

* Mon Mar 22 2021 guillomovitch <guillomovitch> 0.12.1-1.mga9
+ Revision: 1707946
- new version 0.12.1

* Thu Mar 18 2021 neoclust <neoclust> 0.12.0-2.mga9
+ Revision: 1704489
- Rebuild against python 3.9

* Wed Mar 10 2021 guillomovitch <guillomovitch> 0.12.0-1.mga9
+ Revision: 1701189
- new version 0.12.0

* Fri Feb 26 2021 guillomovitch <guillomovitch> 0.11.6-1.mga9
+ Revision: 1692359
- imported package python-setuptools-rust

